# InfoType

## Overview

InfoType is an Enum that defines the type of items sold via MarketplaceService.

This is used in the MarketplaceService:GetProductInfo() method and identifies the type of products.

## Items

| Name         | Value | Description                                  |
| ------------ | ----- | -------------------------------------------- |
| Asset        | 0     | Currently not supported.                     |
| Product      | 1     | Represents that the item is a world product. |
| GamePass     | 2     | Currently not supported.                     |
| Subscription | 3     | Currently not supported.                     |

## See also

{% content-ref url="/pages/3emEzPuk4Ggzz94GmbvI" %}
[MarketplaceService](/development/api-reference/classes/marketplaceservice.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/infotype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
